osl::rating::CaptureSet Class Reference

駒得のみ More...

`#include <featureSet.h>`

Inheritance diagram for osl::rating::CaptureSet:

## Public Member Functions

| CaptureSet (bool allow_load_failure=false)
Public Member Functions inherited from osl::rating::FeatureSet
| FeatureSet ()
virtual | ~FeatureSet ()
bool | tryLoad (const std::string &input_directory)
void | setWeight (size_t feature_id, const double &value)
const Group & | group (size_t group_id) const
bool | effectiveInCheck (size_t group_id) const
const Feature & | feature (size_t feature_id) const
const range_t & | range (size_t group) const
const double & | weight (size_t feature_id) const
size_t | groupSize () const
size_t | featureSize () const
const RatedMove | makeRate (const NumEffectState &state, bool in_check, const RatingEnv &env, Move move) const
const RatedMove | makeRateWithCut (const NumEffectState &state, bool in_check, const RatingEnv &env, int limit, Move move) const
const std::string | annotate (const NumEffectState &state, const RatingEnv &env, Move move) const
void | generateRating (const NumEffectState &state, const RatingEnv &env, int limit, RatedMoveVector &out, bool in_pv_or_all=true) const
void | generateLogProb (const NumEffectState &state, const RatingEnv &env, int limit, MoveLogProbVector &out, bool in_pv_or_all=true) const
int | logProbTakeBack (const NumEffectState &state, const RatingEnv &env, Move) const
int | logProbSeePlus (const NumEffectState &state, const RatingEnv &env, Move) const
int | logProbKingEscape (const NumEffectState &state, const RatingEnv &env, Move) const
void | showGroup (std::ostream &, size_t group_id) const
void | save (const std::string &output_directory, size_t group_id) const
void | showStatistics (std::ostream &) const

## Additional Inherited Members

Static Public Member Functions inherited from osl::rating::FeatureSet
static void | normalize (const RatedMoveVector &, MoveLogProbVector &out)
static std::string | defaultDirectory ()
Protected Member Functions inherited from osl::rating::FeatureSet
void | add (Feature *f)
void | add (Group *g)
void | add (CaptureGroup *g)
void | add (SendOffGroup *g)
void | add (CheckmateIfCaptureGroup *g)
void | addCommon (Group *g)
void | addFinished ()

## Detailed Description

駒得のみ

Definition at line 108 of file rating/featureSet.h.

## Constructor & Destructor Documentation

## CaptureSet()

osl::rating::CaptureSet::CaptureSet | ( | bool | allow_load_failure = false | ) |

explicit

Definition at line 790 of file featureSet.cc.

References osl::rating::FeatureSet::add(), osl::rating::FeatureSet::addFinished(), osl::rating::FeatureSet::defaultDirectory(), and osl::rating::FeatureSet::tryLoad().

The documentation for this class was generated from the following files:

- rating/featureSet.h
- featureSet.cc